Package com.fasterxml.jackson.core

# Class TreeCodec

java.lang.Object
com.fasterxml.jackson.core.TreeCodec

Direct Known Subclasses:
  `ObjectCodec`

public abstract class TreeCodec extends Object
Interface that defines objects that can read and write `TreeNode` instances using Streaming API.

Since:
  2.3

## Constructor Summary

Constructors
Constructor
Description
`TreeCodec()`

## Method Summary

Modifier and Type
Method
Description
`abstract TreeNode`
`createArrayNode()`
`abstract TreeNode`
`createObjectNode()`
`TreeNode`
`missingNode()`
`TreeNode`
`nullNode()`
`abstract <T extends TreeNode>
T`
`readTree(JsonParser p)`
`abstract JsonParser`
`treeAsTokens(TreeNode node)`
`abstract void`
`writeTree(JsonGenerator g, TreeNode tree)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeCodec

public TreeCodec()

## Method Details

### readTree

public abstract <T extends TreeNode> T readTree(JsonParser p) throws IOException, JsonProcessingException

Throws:
  `IOException`
  `JsonProcessingException`

### writeTree

public abstract void writeTree(JsonGenerator g, TreeNode tree) throws IOException, JsonProcessingException

Throws:
  `IOException`
  `JsonProcessingException`

### missingNode

public TreeNode missingNode()

Returns:
  Node that represents "missing" node during traversal: something referenced but that does not exist in content model
Since:
  2.10

### nullNode

public TreeNode nullNode()

Returns:
  Node that represents explicit `null` value in content
Since:
  2.10

### createArrayNode

public abstract TreeNode createArrayNode()

### createObjectNode

public abstract TreeNode createObjectNode()

### treeAsTokens

public abstract JsonParser treeAsTokens(TreeNode node)